[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: savecore kvm problem (with kvm_mkdb patch installed)



> I have OpenBSD 2.4 running on a Sparc 20. I have patched kvm_mkdb and this
now works fine, as does any utils that need kvm to run (top / systat etc). I
have also installed the 2.5 sparc (GENERIC) kernel.
> 
> However, when running "savecore /bsd" I still get 
> 
> savecore: /bsd: kvm_dump_mkheader: invalid magic in cpu_hdr
> 
> Despite the all the other kvm using utils seeming to work.
> I grabbed the latest savecore sources from the CVS tree and rebuilt and
re-installed savecore, but it has made no difference and it still reproduces
the message.
> 
> Any ideas on how to fix this ??
> 
> Thanks very much
> 
> William

You shouldn't expect a 2.5 kernel to work with a 2.4 userland. Why not upgrade
the lot to 2.5?

David Scott





Visit your host, monkey.org